-         
Seite 1 von 2 12 LetzteLetzte
Ergebnis 1 bis 10 von 17

Thema: Robotloader und Java???

  1. #1
    Erfahrener Benutzer Fleißiges Mitglied Avatar von basteluwe
    Registriert seit
    15.11.2012
    Beiträge
    131

    Robotloader und Java???

    Anzeige

    Hallo Leute,
    nach sehr langer Zeit wollte ich heute (leider erfolglos) meinen RP6 reaktivieren. Der Robotloader startet nicht.
    Das Problem scheint mein brandneuer Win10-Laptop zu sein, der offensichtlich keinerlei Java an Board hat. Der Robotloader V2.5a will Java 6 (JRE 1.6). Das Produkt finde ich aber auf der Oracle Webpage nicht mehr und es wäre vielleicht auch nicht ratsam solch alte Version noch zu installieren.
    Welche Möglichkeit gibt es den Robotloader noch zu nutzen? Läuft er vielleicht mit einer modernen Version von Java, wenn ja welcher? Oder muß ich den kleinen Kriecher nun tatsächlich verschrotten?

    Gruß Uwe

  2. #2
    Erfahrener Benutzer Robotik Einstein
    Registriert seit
    18.03.2018
    Beiträge
    2.519
    Blog-Einträge
    29
    Hallo!

    Ich würde es mit der Version versuchen, die ich installieren kann. Schau doch mal dort vorbei und hier.

    MfG

  3. #3
    Erfahrener Benutzer Roboter Genie Avatar von White_Fox
    Registriert seit
    04.10.2011
    Beiträge
    1.429
    Das hier müßte eigentlich funktionieren:
    https://jdk.java.net/16/

  4. #4
    Erfahrener Benutzer Robotik Visionär Avatar von oberallgeier
    Registriert seit
    01.09.2007
    Ort
    Oberallgäu
    Beiträge
    8.380
    .. Der Robotloader V2.5a will Java 6 (JRE 1.6). Das Produkt finde ich aber auf der Oracle Webpage nicht mehr .. verschrotten? ..
    Ach jee, verschrotten wäre übel.

    Ältere Java-Versionen erhalte ich auf der Archivdownloadseite für Java, vielleicht ist die von Dir gesuchte dabei (hab ich nicht geprüft).
    https://www.oracle.com/java/technolo...downloads.html

    Siehe auch
    https://www.java.com/de/download/help/run_old_java.html

    Viel ERfolg
    Ciao sagt der JoeamBerg

  5. #5
    Erfahrener Benutzer Roboter Genie Avatar von White_Fox
    Registriert seit
    04.10.2011
    Beiträge
    1.429
    Ältere Javaprogramme sollten auf neueren JVMs kein Problem haben. Er soll ruhig das neuste JDK nehmen, nur nicht unbedingt von Oracle, das kann sonst teuer werden.

    Ich hab doch oben schon eins verlinkt...

  6. #6
    Erfahrener Benutzer Fleißiges Mitglied Avatar von basteluwe
    Registriert seit
    15.11.2012
    Beiträge
    131

    Zwischenstand

    Danke für eure Antworten soweit. Ich weiß das wirklich zu schätzen.
    Bisher läuft es leider noch nicht. Was ich versucht habe:

    - Neueste Version von Java (download von Oracle, Version 8 ) = RobotLoader startet nicht, will immer noch Java 6 (1.6)!
    - Das von White_Fox empfohlene Program hab ich runtergeladen, bekomme es aber nicht zum Laufen (keine exe o.ä. in der Zip?)
    - Am Ende dann doch noch Java 6 als Download gefunden und installiert, siehe Screenschot aus Systemsteuerung:
    Klicke auf die Grafik für eine größere Ansicht

Name:	Screenshot 2021-03-27 095200.png
Hits:	4
Größe:	7,6 KB
ID:	35481 = auch damit kommt die selbe Fehlermeldung! Muß ich Java eventuell nach der Installation noch irgendwie Einbinden oder Aktivieren o.ä.? Ich sehe es zwar in der Systemsteuerung, aber beim Klick auf das Windows-Symbol in der Taskleiste taucht es nirgends auf. Bei Java 8 hatte ich da einen Eintrag, jetzt bei Java 6 nicht!

    Ich fürchte, ich bin einfach zu dusslig.

    Gruß Uwe

  7. #7
    Erfahrener Benutzer Robotik Einstein
    Registriert seit
    18.03.2018
    Beiträge
    2.519
    Blog-Einträge
    29
    Ich würde ein Update der Software für den RP6 versuchen. Für Windows ist das wohl der Robot-Loader. Ich habe den RP6 nicht, kann daher nichts ganz genaues sagen. Für den Robot-Loader gibt es verschiedene Versionen. Schau mal hier vorbei: http://www.arexx.com/rp6/html/de/software.htm Dann vielleicht die neueste Version installieren. Wenn die JRE6 Version des RobotLoaders die neueste Version ist und das Teil prüft tatsächlich die Versionsnummer von Java auf größer und kleiner 6, kann es sein, dass es gar nicht funktioniert. Dann ist die Software schlicht veraltet.

    MfG

  8. #8
    Erfahrener Benutzer Fleißiges Mitglied Avatar von basteluwe
    Registriert seit
    15.11.2012
    Beiträge
    131

    Erfolg!

    So schnell kann es gehen. Nachdem ich eben gerade diesen älteren Thread genau gelesen habe, habe ich noch einmal Java 8 installiert, diesmal aber die 32Bit Variante obwohl mein Rechner ja 64Bit ist! Und BINGO: Der RobotLoader startet!!!
    Einzig verbleibendes Problem: er findet den Treiber nicht. Ich denke aber, das krige ich hin.

    Gruß Uwe

  9. #9
    Erfahrener Benutzer Roboter Genie Avatar von White_Fox
    Registriert seit
    04.10.2011
    Beiträge
    1.429
    Was ist dieses Robodingsbums denn für eine Krüppelsoftware? Einem Javaprogramm hat es schlicht egal zu sein ob es auf einer 32-Bit- oder 64-Bit-VM läuft. Hrmpf...

  10. #10
    Erfahrener Benutzer Fleißiges Mitglied Avatar von basteluwe
    Registriert seit
    15.11.2012
    Beiträge
    131
    Zitat Zitat von White_Fox Beitrag anzeigen
    Was ist dieses Robodingsbums denn für eine Krüppelsoftware? Einem Javaprogramm hat es schlicht egal zu sein ob es auf einer 32-Bit- oder 64-Bit-VM läuft. Hrmpf...
    Da will ich dir nicht widersprechen. Wenn ich den 32Bit-Hinweis nicht in dem anderen Thema gelesen hätte, wäre ich darauf auch nicht gekommen.
    Der Treiber läuft nun inzwischen auch und die Verbindung per USB-Kabel funktioniert. Das ist erst mal schon gut!

    ABER... Ich kriege einfach keine WLAN-Verbindung zustande.
    Das hatte mit meinem alten Laptop und alten WLAN-Router damals richtig prima funktioniert. Jetzt bekomme ich auch nach Einpflegen aller aktuellen Änderungen nur "Timeout" Meldungen. Auch die Status LEDs am RP6 zeigen nicht die richtige Reaktion für ein korrekt eingestelltes WLAN.
    Das Leben könnte so einfach sein....

    Gruß Uwe

Seite 1 von 2 12 LetzteLetzte

Ähnliche Themen

  1. Antworten: 12
    Letzter Beitrag: 07.03.2018, 21:35
  2. Displays im Robotloader
    Von Thorben W im Forum Robby RP6
    Antworten: 1
    Letzter Beitrag: 06.06.2013, 13:17
  3. RobotLoader 2.3a
    Von SlyD im Forum Robby RP6
    Antworten: 44
    Letzter Beitrag: 01.05.2013, 10:15
  4. RobotLoader 2.4a
    Von SlyD im Forum Robby RP6
    Antworten: 4
    Letzter Beitrag: 26.09.2012, 16:03
  5. RobotLoader V2.3c: Zeichensatz
    Von Dirk im Forum Robby RP6
    Antworten: 3
    Letzter Beitrag: 19.08.2012, 15:44

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •